# [name]

An exporter for the OBJ file format.

[name] is not able to export material data into MTL files so only geometry data are supported.

## Code Example

`// Instantiate an exporter const exporter = new OBJExporter(); // Parse the input and generate the OBJ output const data = exporter.parse( scene ); downloadFile( data );`

## Constructor

### [name]()

Creates a new [name].

## Methods

### [method:String parse]( [param:Object3D object] )

[page:Object object] — Object3D to be exported.

Generates a string holding the OBJ data.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/exporters/OBJExporter.js examples/jsm/exporters/OBJExporter.js]